TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNormal ( elt-fld^fin x, fld^fin E ) -> elt-alg^boo

### Description

<shortdoc> True iff the element x of the finite field F generates a normal basis over the subfield E of F, i.e. the conjugates of x w.r.t. E (x, x^q, ..., x^(q^(n - 1)) where q is the cardinality of E and n the degree of F over E) form a basis for F over E. </shortdoc>

### Examples

x_gf5 := FiniteField(5);; x_3 := Element(x_gf5,3);; IsNormal(x_3,x_gf5);
x_gf25 := FiniteField(25);; x_5 := Element(x_gf25,5);; IsNormal(x_5,x_gf25);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack